# Exiv2::TagTranslator Class Reference

Translation from numeric values from a lookup list to human readable labels. More...

`#include <tags.hpp>`

Collaboration diagram for Exiv2::TagTranslator:

[legend]
List of all members.

## Public Member Functions

Creators
| TagTranslator (const TagDetails *pTagDetails)
| Default constructor.
Accessors
std::ostream & | print (std::ostream &os, const Value &value) const
| Translate the tag value and write it out to the provided stream.

## Detailed Description

Translation from numeric values from a lookup list to human readable labels.

The documentation for this class was generated from the following files:

- tags.hpp
- tags.cpp